"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileOutputStreamImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const fs = tslib_1.__importStar(require("fs"));
const path = tslib_1.__importStar(require("path"));
let FileOutputStreamImpl = class FileOutputStreamImpl {
    constructor() { }
    write(outputDirectory, fileName, content) {
        const outputDirectoryPath = path.join(outputDirectory, fileName);
        if (!fs.existsSync(outputDirectory)) {
            fs.mkdirSync(outputDirectory);
        }
        fs.writeFileSync(outputDirectoryPath, content);
    }
};
FileOutputStreamImpl = tslib_1.__decorate([
    inversify_1.injectable(),
    tslib_1.__metadata("design:paramtypes", [])
], FileOutputStreamImpl);
exports.FileOutputStreamImpl = FileOutputStreamImpl;
